## circlepack 5.1

=== debian/changelog ===
circlepack (5.1-7) unstable; urgency=low

  * Convert to source format 3.0 (quilt).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 02:48:56 +0000

circlepack (5.1-6) unstable; urgency=low

  * Set compiler correctly for cross-compiling.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Feb 2010 00:15:39 +0000

circlepack (5.1-5) unstable; urgency=low

  * Upgrade to debhelper 7.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 01:27:16 +0100

circlepack (5.1-4) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian;
    closes: #515377).
  * Explicitly refer to GPL-2 in copyright file.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:17:43 +0000

circlepack (5.1-3) unstable; urgency=low

  * Build-depend on x-dev and libx11-dev rather than the transitional
    xlibs-dev package.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2004 13:50:49 +0000

circlepack (5.1-2) unstable; urgency=low

  * Policy version 3.5.7:
    - Drop support for DEB_BUILD_OPTIONS=debug; support noopt instead.
  * Use dh_installman rather than dh_installmanpages, as it works better
    with source packages kept in Subversion.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Nov 2002 16:04:12 +0000

circlepack (5.1-1) unstable; urgency=low

  * New upstream release (closes: #127032).
  * Repacked the upstream source somewhat. See debian/copyright.
  * Install configuration file /etc/CPpackrc and patch src/cp_call.c to look
    for it there.

 -- Colin Watson <cjwatson@debian.org>  Thu,  3 Jan 2002 18:01:40 +0000

circlepack (4.0.1-5) unstable; urgency=low

  * New maintainer (closes: #126197).
  * Include <stdlib.h> for architectures with 64-bit ints (closes: #126654).
  * Null-terminate a varargs list passed to xv_set(), as otherwise
    circlepack just sits in an infinite loop.
  * Remove debian/README.debian and debian/buildnotes, which described that
    bug. Merge the still-relevant parts of debian/NOTES into
    debian/copyright.

  * Convert to debhelper.
  * Policy version 3.5.6.
  * Move help file to /usr/share/circlepack.
  * Build with -O2 and support DEB_BUILD_OPTIONS.
  * Capitalize "Euclidean" in package description (closes: #124498).
  * Nitpick description formatting while I'm at it.
  * Fix paths and formatting in man page.
  * Remove emacs local variables from this changelog.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Dec 2001 01:11:53 +0000

circlepack (4.0.1-4) unstable; urgency=low

  * The maintainer has orphaned this package; set maintainer to Debian QA
    Group.
  * Update to policy version 3.1.1:
    - FHS updates (closes: #91131, #91410).
    - Build dependencies (closes: #70322).
  * Refer to the X Window System properly in package description
    (closes: #76079).
  * Get dpkg-gencontrol to include the section and priority fields.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2001 02:07:20 +0100

circlepack (4.0.1-3) unstable; urgency=low

  * Changed compiler flag.
  * Support for other archs.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 21 Sep 1998 22:02:22 -0700
	

circlepack (4.0.1-2) unstable; urgency=low

  * Changed description

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 12 Aug 1998 18:18:21 -0700
	

circlepack (4.0.1-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 24 Jul 1998 15:05:14 -0700
