=== debian/control ===
Source: circlepack
Section: math
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.5.7
Build-Depends: debhelper (>= 7.0.50~), x11proto-core-dev, libx11-dev, xviewg-dev

Package: circlepack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: creation and display of circle packings
 CirclePack is a C program for the creation, display, manipulation, and
 storage of circle packings using the X Window System. Computations may
 be done in either hyperbolic, Euclidean, or spherical geometry, though
 the routines for the latter are not yet complete. For the theory behind
 the package, one must consult the research literature. One of the
 author's primary interests concerns the parallels between the
 developing theory of circle packings and the classical theory of
 analytic functions. 
 .
 Home page: http://www.math.utk.edu/~kens/
