=== debian/rules ===
#! /usr/bin/make -f

package := circlepack

ddir := $(CURDIR)/debian/$(package)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := gcc
else
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEBUG := -O2 -g
else
DEBUG := -g
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src -f makefile_cptree TREE_TOP=$(CURDIR) \
		CC=$(CC) DEBUG="$(DEBUG)" CirclePack

override_dh_auto_clean:
	-$(MAKE) -C src -f makefile_cptree remake

override_dh_auto_install:
	install -m 755 bin/CirclePack $(ddir)/usr/bin/circlepack
	perl -pe 's,~/bin/cp_help.info,/usr/share/$(package)/cp_help.info,g' \
		src/.packrc > $(ddir)/etc/CPpackrc
